OptimizationMethod Class Referenceabstract

Abstract class for constrained optimization method. More...

`#include <ql/math/optimization/method.hpp>`

Inheritance diagram for OptimizationMethod:
[legend]

## Public Member Functions

virtual EndCriteria::Type | minimize (Problem &P, const EndCriteria &endCriteria)=0
| minimize the optimization problem P

## Detailed Description

Abstract class for constrained optimization method.

Examples
  GlobalOptimizer.cpp.